Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class OrderBy

A helper class for sorting objects via a closure to return the field or operation on which to sort.

author:
  James Strachan

version:
  $Revision: 10259 $

Field Summary
`List` | `closures`

Constructor Summary
`OrderBy()`
`OrderBy(Closure closure)`
`OrderBy(List closures)`

Method Summary
`void` | `add(Closure closure)`
`int` | `compare(Object object1, Object object2)`

Constructor Detail

### OrderBy

    public OrderBy()

### OrderBy

    public OrderBy(Closure closure)

### OrderBy

    public OrderBy(List closures)

Method Detail

### add

    public void add(Closure closure)

### compare

    public int compare(Object object1, Object object2)